import xbmc
import xbmcaddon
import requests

ADDON = xbmcaddon.Addon()
ADDON_ID = ADDON.getAddonInfo('id')
ADDON_NAME = ADDON.getAddonInfo('name')
ADDON_VERSION = ADDON.getAddonInfo('version')

ENDPOINT = "/json-rpc"
commands = {'tm_on': '{"command":"videomodehdr","HDR":1}',
            'tm_off': '{"command":"videomodehdr","HDR":0}',
            'tm_status': '{"command":"serverinfo"}'}


def log(message, level=xbmc.LOGDEBUG):
    xbmc.log('[%s %s]: %s' % (ADDON_ID, ADDON_VERSION, message), level)


def sendCommand(url, port, endpoint):

    try:
        req = requests.get('%s:%s%s' % (url, port, endpoint), params={'requests': commands['tm_status']})
        log(req.text)
        req.raise_for_status()

        if req.text == "0":
            req = requests.get('%s:%s%s' % (url, port, endpoint), params={'requests': commands['tm_on']})
        else:
            req = requests.get('%s:%s%s' % (url, port, endpoint), params={'requests': commands['tm_off']})

        log(req.text)
        return True

    except(requests.exceptions.ConnectTimeout, requests.exceptions.ConnectionError, requests.exceptions.HTTPError):
        log('Could not establish connection to %s:%s' % (ADDON.getSetting('url'), ADDON.getSetting('port')))


if __name__ == '__main__':
    sendCommand(ADDON.getSetting('url'), ADDON.getSetting('port'), ENDPOINT)
